# Uses of Interface
org.xnio.Result

Packages that use Result
Package
Description
org.xnio
The main API package for XNIO.

## Uses of Result in org.xnio

Classes in org.xnio that implement Result
Modifier and Type
Class
Description
`class`
`FutureResult<T>`
A result with a corresponding `IoFuture` instance.
`class`
`TranslatingResult<T,O>`
Abstract base class for `Result`s which translate from one type to another.
Methods in org.xnio that return types with arguments of type Result
Modifier and Type
Method
Description
`static <T> IoFuture.Notifier<T,Result<T>>`
IoUtils.`resultNotifier()`
Get the result notifier.
Constructors in org.xnio with parameters of type Result
Modifier
Constructor
Description
`protected`
`TranslatingResult(Result<O> output)`